Name: httperf
Version: 0.8
Release: alt3.1

Summary: A Tool for Measuring Web Server Performance
License: GPL
Group: Networking/WWW

Url: http://www.hpl.hp.com/research/linux/httperf
Source0: ftp://ftp.hpl.hp.com/pub/httperf/%name-%version.tar.gz
Source1: ftp://ftp.hpl.hp.com/pub/httperf/httperf-paper-html.tar.gz
Source2: ftp://ftp.hpl.hp.com/pub/httperf/httperf-paper.ps
Packager: Michael Shigorin <mike@altlinux.org>

Summary(ru_RU.KOI8-R):     web-
Summary(uk_UA.KOI8-U):   ͦ Ԧ web-Ҧ

# Automatically added by buildreq on Sun Dec 10 2006
BuildRequires: libssl-devel

%define pkgdocdir %_docdir/%name-%version

%description
httperf is a tool to measure web server performance.  It speaks the HTTP
protocol both in its HTTP/1.0 and HTTP/1.1 flavors and offers a variety of
workload generators. While running, it keeps track of a number of performance
metrics that are summarized in the form of statistics that are printed at the
end of a test run.  The most basic operation of httperf is to generate a fixed
number of HTTP GET requests and to measure how many replies (responses) came
back from the server and at what rate the responses arrived.

%description -l ru_RU.KOI8-R
httperf      web-.
   HTTP (HTTP/1.0  HTTP/1.1)   
 .      
,     .    
httperf    HTTP GET-   
    ,    .

%description -l uk_UA.KOI8-U
httperf    ͦ Ԧ web-Ҧ.  
դ  HTTP (HTTP/1.0  HTTP/1.1)  դ ˦
Ҧ .   Φ צ̦ Φ 
Ԧ, Ҧ  Ц  .  ¦ 
 httperf դ   HTTP GET-Ԧ  ͦ ˦˦
צצ   Ԧ,  ˦  .

%package docs
Summary: Documentation of a Tool for Measuring Web Server Performance
Group: Documentation

%description docs
httperf is a tool to measure web server performance.
This package contains HTML and PostScript documentation for it.

%prep
%setup -q

%build
%configure
# NO SMP
%make

%install
%makeinstall
# now docs...
install -d -m755 %buildroot%pkgdocdir
pushd %buildroot%pkgdocdir
	tar zxf %SOURCE1
	mv %name html
	gzip -9 < %SOURCE2 > httperf-paper.ps.gz
popd
# by hand to avoid using %%doc purging the above
install -m644 AUTHORS ChangeLog COPYRIGHT NEWS README TODO %buildroot%pkgdocdir

%files
%_bindir/*
%_man1dir/*
%pkgdocdir/[A-Z]*

%files docs
%dir %pkgdocdir
%pkgdocdir/html/
%pkgdocdir/icons/
%pkgdocdir/httperf-paper.ps.gz

%changelog
* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.8-alt3.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Sun Dec 10 2006 Michael Shigorin <mike@altlinux.org> 0.8-alt3
- updated Url:
- added docs subpackage just in case

* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.8-alt2.1
- Rebuilt with openssl-0.9.7d.

* Mon Oct 28 2002 Michael Shigorin <mike@altlinux.ru> 0.8-alt2
- rebuilt with gcc-3.2

* Tue Jun 11 2002  Michael Shigorin <mike@altlinux.ru> 0.8-alt1
- built for ALT Linux
- (inger)NO SMP
